Get a Bill Payment Status
curl --request GET \
--url https://api.flutterwave.com/v3/bills/{reference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/bills/{reference}"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/bills/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Bill status fetch successful",
"data": {
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "1800.00",
"fee": 100,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": 10,
"transaction_date": "2024-03-24T09:14:13.373Z",
"customer_reference": "d7a004b1-a581-4cd9-89ae-a1f093400",
"country": "NG",
"flw_ref": "247837898415",
"tx_ref": "CF-FLYAPI-20240324091413750321",
"batch_id": 3408739,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment"
}
}{
"status": "error",
"message": "Transaction not found",
"data": null
}Bill Payments
Get a Bill Payment Status
Fetch the status of a bill purchase
GET
/
bills
/
{reference}
Get a Bill Payment Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Example:
"CF-FLYAPI-20240324091413750321"
Query Parameters
Example:
1
Response
OK
Show child attributes
Show child attributes
Example:
{
"currency": "NGN",
"customer_id": "0025401100",
"frequency": "One Time",
"amount": "1800.00",
"fee": 100,
"product": "DSTV Payment",
"product_name": "DSTV Payment",
"commission": 10,
"transaction_date": "2024-03-24T09:14:13.373Z",
"customer_reference": "d7a004b1-a581-4cd9-89ae-a1f093400",
"country": "NG",
"flw_ref": "247837898415",
"tx_ref": "CF-FLYAPI-20240324091413750321",
"batch_id": 3408739,
"extra": null,
"product_details": "FLY-API-NG-DSTV Payment"
}
Was this page helpful?
⌘I